/*
 * Class INDEXABLE_ITERATION_CURSOR [NATURAL_8]
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_712 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_712 [] = {0xFF01,237,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_2_712 [] = {0xFF01,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_3_712 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_712 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_712 [] = {0xFF01,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_6_712 [] = {0xFF01,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_7_712 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_712 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_712 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_712 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_712 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_712 [] = {711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_13_712 [] = {0xFF01,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_14_712 [] = {0xFF01,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_15_712 [] = {0xFF01,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_16_712 [] = {0xFF01,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_17_712 [] = {0xFF01,711,197,0xFFFF};
static const EIF_TYPE_INDEX egt_18_712 [] = {0xFF01,714,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_19_712 [] = {0xFF01,148,0xFFFF};
static const EIF_TYPE_INDEX egt_20_712 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_21_712 [] = {0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_22_712 [] = {0xFF01,711,0xFFF8,1,0xFFFF};
static const EIF_TYPE_INDEX egt_23_712 [] = {0xFFF8,1,0xFFFF};


static const struct desc_info desc_712[] = {
	{EIF_GENERIC(NULL), 3288, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_712), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_712), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_712), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_712), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_712), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_712), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_712), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_712), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_712), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_712), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_712), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_712), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_712), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_712), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3289, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3291, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x019D /*206*/), 3292, 12},
	{EIF_NON_GENERIC(0x019D /*206*/), 3293, 16},
	{EIF_NON_GENERIC(0x019D /*206*/), 3294, 20},
	{EIF_NON_GENERIC(0x019D /*206*/), 3295, 24},
	{EIF_GENERIC(egt_14_712), 3297, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_712), 3298, 0xFFFFFFFF},
	{EIF_GENERIC(egt_16_712), 3274, 0xFFFFFFFF},
	{EIF_GENERIC(egt_17_712), 3275, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x0191 /*200*/), 3276, 8},
	{EIF_NON_GENERIC(0x017F /*191*/), 3278, 4},
	{EIF_NON_GENERIC(0x017F /*191*/), 3279, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3280, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3281, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3282, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3283, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3284, 0xFFFFFFFF},
	{EIF_GENERIC(egt_18_712), 3286, 0},
	{EIF_GENERIC(egt_19_712), 3287, 0xFFFFFFFF},
	{EIF_GENERIC(egt_20_712), 3290, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3277, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 3285, 0xFFFFFFFF},
	{EIF_GENERIC(egt_21_712), -1, 0xFFFFFFFF},
	{EIF_GENERIC(egt_22_712), 3296, 0xFFFFFFFF},
	{EIF_GENERIC(egt_23_712), -1, 0xFFFFFFFF},
};
void Init712(void)
{
	IDSC(desc_712, 0, 711);
	IDSC(desc_712 + 1, 1, 711);
	IDSC(desc_712 + 32, 194, 711);
	IDSC(desc_712 + 52, 245, 711);
	IDSC(desc_712 + 56, 99, 711);
}


#ifdef __cplusplus
}
#endif
